# -*- coding: utf-8 -*-
from __future__ import annotations

import typing
import uuid

from django.db import models

from hotpocket_backend.apps.saves.models import Save
from hotpocket_soa.dto.associations import AssociationsQuery


class PSaveAdapter(typing.Protocol):
    def get_for_processing(self, *, pk: uuid.UUID) -> Save:
        ...


class PAssociationAdapter(typing.Protocol):
    def get_search_filters(self, *, query: AssociationsQuery) -> list[models.Q]:
        ...
